package com.wms_main.constant.enums.wms;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Wms任务状态枚举
 */
@Getter
@AllArgsConstructor
public enum WmsStackerTaskStatusEnums {
    JOB(-2, "定时器用"),
    TEMP(-1, "暂存"),
    WAIT(0, "初始化"),
    EXECUTED(1, "已解析"),
    SEND(2, "已下发"),
    RUN(3, "正在执行"),
    FINISH(4, "执行完成"),
    CANCEL(98, "已取消"),
    EXCEPTION(99, "执行异常");
    private final Integer code;
    private final String desc;
}
